1. #1
    Stood in the Fire Vlad Morbius's Avatar
    Join Date
    Oct 2011
    Location
    Ontario Canada
    Posts
    365

    Nvidia Driver Help

    GW2 says my driver needs to be updated to 304.79 beta drivers for my GTX 560 TI card but when i do an automatic update check for drivers it comes up recommending me to download 306.23. Do i proceed with the 304.79 or should i go to the 306.23? Unfortunately i cannot log into the Anet boards to ask them directly because there is a sign in error. Any advice would be appreciated, thanks.

  2. #2
    Herald of the Titans Abstieg's Avatar
    Join Date
    Apr 2010
    Location
    Boston, Massachusetts
    Posts
    2,857
    Quote Originally Posted by Vlad Morbius View Post
    GW2 says my driver needs to be updated to 304.79 beta drivers for my GTX 560 TI card but when i do an automatic update check for drivers it comes up recommending me to download 306.23. Do i proceed with the 304.79 or should i go to the 306.23? Unfortunately i cannot log into the Anet boards to ask them directly because there is a sign in error. Any advice would be appreciated, thanks.
    I'd recommend going with the newest beta version of drivers.

    Edit: In our case, (I have a 550 TI) the newest driver is 306.23, and it's not beta. Haven't had a problem with it yet.
    Last edited by Abstieg; 2012-09-25 at 11:49 PM.

  3. #3

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •